Bug 496463 - Bundled private copy of feedcreator php class
Bundled private copy of feedcreator php class
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: phpTodo (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Marc Bradshaw
Fedora Extras Quality Assurance
: FutureFeature, Reopened
Depends On:
Blocks: DuplicSysLibsTracker
  Show dependency treegraph
 
Reported: 2009-04-19 08:45 EDT by Xavier Bachelot
Modified: 2010-08-14 15:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:05:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2009-04-19 08:45:39 EDT
phpTodo is bundling a private copy of the feedcreator php class. Additionnaly, this private copy has been patched with a new feature and the version bumped by the phpTodo author.

I've packaged the original feedcreator class, as I needed it for another package and then uncovered the phpTodo private copy. Since then I've also found another fork of this class on the net. I'll contact both the phpTodo author and the other fork author to see what can be done to merge all the forks in one place.

I think the easier path for now is to patch the original feedcreator class with the changes from phpTodo then take a look at diffs in the other fork and see what can be done about them. Then the phpTodo private copy can be removed and the standalone version used. What do you think ?

Regards,
Xavier
Comment 1 Marc Bradshaw 2009-04-19 20:33:12 EDT
I agree that we shouldn't have a copy of this class within an application and as a package in itself.  Makes sense to use a single copy within its own package for this.

I don't think we should be copying modifications from individual applications into the packaged class as this could introduce conflicts with future versions and/or bugs.

Depending on the nature of the modifications we could create a subclass for phpTodo which subclasses the packaged class as is and applies the modifications that way, with a view to persuading the respective upstream authors to merge those modifications into an official class release.

Incidentally, there has been little or no releases of phpTodo from upstream for around 2 years now, not sure if development has stopped altogether.
Comment 2 Bug Zapper 2009-06-09 10:07:24 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-04-27 09:46:33 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 08:05:25 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Marc Bradshaw 2010-07-21 19:53:18 EDT
Re-opening bug as we are talking with upstream developers regarding splitting out the bundled library in a future release.  No time line for this as yet.
Comment 6 Bug Zapper 2010-07-30 06:38:33 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.